summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2008-07-26 06:17:54 +0000
committerZac Medico <zmedico@gentoo.org>2008-07-26 06:17:54 +0000
commitc74f9cb7d12e1ef8d361106cd430f097f0449e8b (patch)
tree2ba0eb86945d28efe423b3423d00586a98442fb8
parent5538c63e450227c4e0b955f91e1344fe7371ad6e (diff)
downloadportage-c74f9cb7d12e1ef8d361106cd430f097f0449e8b.tar.gz
portage-c74f9cb7d12e1ef8d361106cd430f097f0449e8b.tar.bz2
portage-c74f9cb7d12e1ef8d361106cd430f097f0449e8b.zip
* For bug 227625, automatically create the /usr/src/rpm/SOURCES directory when
necessary. * Add `cd "${T}"` at the beginning of dyn_rpm() since the spec file is written to $PWD. svn path=/main/trunk/; revision=11194
-rwxr-xr-xbin/misc-functions.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/bin/misc-functions.sh b/bin/misc-functions.sh
index b19a75b12..80dd9d724 100755
--- a/bin/misc-functions.sh
+++ b/bin/misc-functions.sh
@@ -624,7 +624,9 @@ dyn_package() {
}
dyn_spec() {
- tar czf "/usr/src/rpm/SOURCES/${PF}.tar.gz" \
+ local sources_dir=/usr/src/rpm/SOURCES
+ mkdir -p "${sources_dir}"
+ tar czf "${sources_dir}/${PF}.tar.gz" \
"${EBUILD}" "${FILESDIR}" || \
die "Failed to create base rpm tarball."
@@ -658,6 +660,7 @@ __END1__
}
dyn_rpm() {
+ cd "${T}" || die "cd failed"
addwrite /usr/src/rpm
addwrite "${RPMDIR}"
dyn_spec